Subject: RE: Wrong colors in X2GoClient on Raspberry Pi

From: Office NextITLevel GmbH <[email-masked]>
Date: Fri, 10 Apr 2015 16:38:21 +0000

package: x2goclient
version: 4.0.3.2-0x2go1

Dear Stefan,

the GPU memory is defined in the file /boot/config.txt.  The bios on ARM computers
is on the boot file system.
I add here the parameter at the end of the file /boot/config.txt:
---------
gpu_mem=128
---------

You can do this with your favorite editor, or use  
$ sudo raspi-config
-> 8 Advanced Options
     -> A3 Memory Split
---------------

I think 128MB is the max, if your system has only 512MB memory.  
Full HD resolution is 1920 * 1080 = 1,966,080 
and this number * 24bit colour = 47,185,920.

I am not an expert with graphics but I think you should have all colors.

There is another thing that I would like to mention.
I one of the latest x2go reports I saw the keyword 
DEB_DISTS_SUPPORTED="raspbian"
-----------
Please do not use raspbian, because it is not suitable for professional X2Go support.
Raspbian is very nice and great, but too much software is part of the package.

Now I use Minibian (can be downloades from http://sourceforge.net/projects/minibian/ )
This is much smaller than standard Raspbian and you do not have to uninstall so 
much software. On the other side it is compatible with Raspbian.
Only this change is needed in file 
/lib/udev/rules.d/75-persistent-net-generator.rules
and change here at line 20, “device name whitelist”, to this:
—–
# device name whitelist
KERNEL!=”ath*|msh*|ra*|sta*|ctc*|lcs*|hsi*”, \
GOTO=”persistent_net_generator_end”
—–
And then delete the file /etc/udev/rules.d/70-persistent-net.rules
------
This is needed so that the system always generates a new eth0 device.

The most professional supporter for X2Go on the Raspberry PI is Gibbio.
I do not know more about this person.  He uses standard Debian SID
with X2Go and you can see the announcement at 
http://rpitc.blogspot.de/2015/02/testing-raspberry-pi-2-thinclient-with.html

You have to think about it, that on the Raspberry Pi you have Debian, Fedora
and Ubuntu and many more operating systems.  And as I see it on the X2Go 
doc page, all of those operating systems are supported.

I think the difference between Debian Wheezy and Debian Jessie is much bigger
then between Debian and Raspbian.

I also think the different window manager like lxde and xfce make it also difficult 
for developers.  So why care about Raspbian.  There are so many armhf devices
coming out, like the Banana PI or the Orange PI or all the other clones.

Have a nice weekend,
Franz Lückl

for NiuCo UG (haftungsbeschränkt)
Huberweg 32b
69198 Schriesheim

Geschäftsführer:
Dr.-Ing. Karl-Heinz Hellmann

Handelsregister HRB 716871, Mannheim
USt-Id-Nr. DE289149879

Telefon: 	+49 6203 6792 866
Mobiles Festnetz:   	+49 69 3487 8985
Mobil:    	+49 152 3437 5620
Fax:       	+43 1 89 00 2999

mailto:[email-masked] 
Internet Home Page:  http://www.niuco.de
-----------------------------------------------------------------------------------------------------------

package: x2goclient
version: 4.0.3.2-0x2go1

Hi,

When starting X2GoClient in fullscreen mode on a Raspberry Pi (running
Raspbian 7.8), the X2GO logo that appears on the black startup screen is
shown in green rather than in the usual grey.

Also, when running LibreOffice Impress, things look OK while composing a
presentation, but switching to presentation mode, the colors are wrong
again.

This may be related to a color depth setting somewhere? IDK. Would love
to hear other people's ideas and opinions as to how to find out what's
going wrong.
A sample system where we can try out things is available, it has been
donated to the project by the Niuco company.

-Stefan